package websocket

import (
	"net/http"
	"time"
)

type Options interface {
}

type options struct {
	OnError         func(res http.ResponseWriter, req *http.Request, status int, reason error)
	OnCheckOrigin   func(req *http.Request) bool
	WriteTimeout    time.Duration
	ReadTimeout     time.Duration
	PongTimeout     time.Duration
	PingTimeout     time.Duration
	PingPeriod      time.Duration
	MaxMessageSize  int64
	BinaryMessage   bool
	ReadBufferSize  int
	WriteBufferSize int
}
